Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: GRASS

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 22583

Description

The QGIS browser fails reading maps from GRASS read-only mapsets. The browser is trying to create in mapset directory for temporary

data. Is it really needed? This feature is very limiting since you can browse (display) only data from mapsets where you have write

permission.

Unable to make mapset element .tmp/c50

History

#1 - 2016-04-09 07:58 AM - Giovanni Manghi

- Target version deleted (Version 2.16)

#2 - 2016-04-11 04:05 AM - Radim Blazek

- Assignee set to Radim Blazek

Which data type, raster or vector? Local or mounted drive? Unix or Windows?

I cannot reproduce it. I can read rasters/vectors from a mapset which has all dirs and files read only.

The error is result of call to G_make_mapset_element_tmp() but the provider does not call that function and I am not aware that it would be creating

temporary files.

Could it be that GRASS lib is trying to create a tmp file under certain circumstances?

Can you please help to narrow down where it comes from?

#3 - 2016-05-18 05:14 AM - Radim Blazek

- Status changed from Open to Feedback

#4 - 2016-06-23 12:07 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
